@charset 'UTF-8';
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP&display=swap');

/* ===================================================== */

/*------------------熊本県 design CSS*--------------------/

/* ===================================================== */

/* ===================================================== */
/* header*/
/* ===================================================== */
header {
	border-top: solid 1rem #B0CEE0;
}

.sitetitleArea {
	color:#2D649A;
}

.selectbox::before {
	background-color: #2D649A;
}

.selectbox select {
	border: 2px solid #2D649A;
	background: #fff;
	color: #333333;
}

.selectbox select:focus {
	outline: 1px solid #45C3BD;
}

/*-----------------------
close
-----------------------*/
/*close btn*/
input[type="checkbox"].sidemenuClose {
	background-color: #2D649A;
	color: #fff;
	font-weight: bold;
}

/* ===================================================== */
/* widget_sidemenu*/
/* ===================================================== */

/*-----------------------
widget sidemenu 位置調整
-----------------------*/
div.widget_sidemenu {
	top: 8rem;
	left: 2rem;
}

@media only screen and (max-width: 768px) {
	div.widget_sidemenu {
	top: 5rem;
	left: 0.8rem;
	}
}


/*--- スクロールバー ---*/

.leaflet-control-layers-overlays::-webkit-scrollbar-track {
	background-color: #c4ebf1;
}

.leaflet-control-layers-overlays::-webkit-scrollbar-thumb {
	background-color: #007BAE;
	border-radius: 5px;
}

.sidemenu_contentsArea::-webkit-scrollbar-track {
	background-color: #c4ebf1;
}

.sidemenu_contentsArea::-webkit-scrollbar-thumb {
	background-color: #2d649a;
	border-radius: 5px;
}


/*---1階層目開閉アイコン---*/
/* 1階層目arrow */
.leaflet-control-layers-overlays .leaflet-layerstree-children summary>.leaflet-layerstree-header:before {
	color: #7b716c;
}

/*---2階層目以降開閉アイコン---*/
.leaflet-control-layers-overlays .leaflet-layerstree-children .leaflet-layerstree-header.leaflet-layerstree-header-pointer::before {
	color: #2D649A;
}


/*---1階層目 レイアウト---*/
.leaflet-control-layers-overlays .leaflet-layerstree-children .leaflet-layerstree-node summary>.leaflet-layerstree-header{
	background-color: #e5e4e0;
	border: 2px solid #d1c2bb;
	color: #030303;
}

/*---------- 2階層目以降レイアウト ----------*/
.leaflet-control-layers-overlays .leaflet-layerstree-children .leaflet-layerstree-header.leaflet-layerstree-header-pointer {
	background: #e3f6ff;
}

/*---item title checkbox トグルスイッチ---*/
.leaflet-control-layers-overlays .leaflet-layerstree-children .leaflet-layerstree-header .categoriescheckArea {
	border: solid 1px #9E9E9E;
	background: #c5c5c5;
}

/*---item title checkbox トグルスイッチ---*/
.sidemenu_contentsArea .leaflet-layerstree-header-pointer .categoriescheckArea {
	background: #c5c5c5;
}


/* トグルスイッチOFF */
.categoriescheckArea .swImg {
	background: #2d649a;
}

/* トグルスイッチON */
.categoriescheckArea:has(+.leaflet-layerstree-header-label>input[type="checkbox"]:checked) label {
	border: solid 1px #1eaac1;
	background-color: #1eaac1;
}

/* ===================================================== */
/* footer */
/* ===================================================== */

footer {
	background-color: #2d649a;
	color: #fff;
}


/*-----コピーライト-----*/
footer .copyright::after {
	content: "共通ダッシュボード";
}